Bug 246558 - net/get_iplayer: Update to 3.25
Summary: net/get_iplayer: Update to 3.25
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-19 01:15 UTC by Jamie Landeg-Jones
Modified: 2020-05-24 12:57 UTC (History)
2 users (show)

See Also:


Attachments
patch to update get_iplayer (1.58 KB, patch)
2020-05-19 01:15 UTC, Jamie Landeg-Jones
jamie: maintainer-approval+
Details | Diff
Updated patch to update port to latest version (2.14 KB, patch)
2020-05-21 20:55 UTC, Jamie Landeg-Jones
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jamie Landeg-Jones 2020-05-19 01:15:35 UTC
Created attachment 214618 [details]
patch to update get_iplayer

Maintainer update to latest version.

Also, update pkg-descr:

- Live stream and podcast recordings were removed 3 years ago.

- Primary website is now github.

- Max stream kbps increased.
Comment 1 Steve Wills freebsd_committer 2020-05-19 01:39:46 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/147349820
Comment 2 Hiroki Tagato freebsd_committer 2020-05-19 08:48:00 UTC
(In reply to Jamie Landeg-Jones from comment #0)

In do-install target, an absolute symbolic link are created.

According to Section 6.1.1 of the Porter's Handbook:
https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/special.html#staging

a relative symbolic link should be created in this case.
(${WWWDIR} and ${PREFIX}/bin are both within ${PREFIX}.)

Can you change the Makefile accordingly?
Comment 3 Jamie Landeg-Jones 2020-05-20 03:36:30 UTC
(In reply to Hiroki Tagato from comment #2)

Hi. I can do that, but is it correct?

WWWDIR is only within PREFIX by virtue of its default setting.

This doesn't have to be so, if someone has defined WWWDIR to /www then won't this break?

Cheers.
Comment 4 Hiroki Tagato freebsd_committer 2020-05-20 09:07:45 UTC
(In reply to Jamie Landeg-Jones from comment #3)

Thanks for your reply. That makes great sense. Let's leave as it is.
Comment 5 Hiroki Tagato freebsd_committer 2020-05-21 01:18:08 UTC
I tried to test the port with poudriere and got the following warning:


Warning: Possible REINPLACE_CMD issues
sed failed: file content unchanged from backup: README.md
sed failed: file content unchanged from backup: README.md
sed failed: file content unchanged from backup: get_iplayer


The source of the warning is commands in post-patch target.

There is no string "/usr/bin" in README.md.
There is no string "/usr/share/get_iplayer" in get_iplayer.

So you can remove some README.md and get_iplayer from the target.

Can you update the Makefile accordingly?
Comment 6 Jamie Landeg-Jones 2020-05-21 20:55:41 UTC
Created attachment 214738 [details]
Updated patch to update port to latest version

Good catch!

Here's an updated patch to fix those issues.

I've also tidied up the way the cgi script decides where the get_iplayer binary is: Now it directly references the installed binary, rather than a bogus search list.

Cheers, Jamie
Comment 7 commit-hook freebsd_committer 2020-05-24 06:21:07 UTC
A commit references this bug:

Author: tagattie
Date: Sun May 24 06:20:40 UTC 2020
New revision: 536361
URL: https://svnweb.freebsd.org/changeset/ports/536361

Log:
  - Move to multimedia category
  - Update to 3.25
  - Update port description
  - Update WWW

  PR:		246558
  Submitted by:	Jamie Landeg-Jones <jamie@catflap.org> (maintainer)
  Approved by:	ehaupt (mentor)
  Changelog:	https://github.com/get-iplayer/get_iplayer/wiki/release320to329#release325

Changes:
  head/MOVED
  head/multimedia/Makefile
  head/multimedia/get_iplayer/
  head/multimedia/get_iplayer/Makefile
  head/multimedia/get_iplayer/distinfo
  head/multimedia/get_iplayer/pkg-descr
  head/net/Makefile
  head/net/get_iplayer/
Comment 8 Hiroki Tagato freebsd_committer 2020-05-24 06:21:59 UTC
Committed, thanks!
Comment 9 Jamie Landeg-Jones 2020-05-24 11:52:12 UTC
(In reply to Hiroki Tagato from comment #8)

Thanks! - And good move on the category renaming too!

Cheers, Jamie
Comment 10 Jamie Landeg-Jones 2020-05-24 12:02:09 UTC
I just noticed a problem. The CATEGORIES in the Makefile is wrong - it still references 'net' :

CATEGORIES=     net multimedia

I'm not sure if you intended on keeping it in 'net', but the main category should appear first, otherwise pkg still refers to it as belonging in 'net':

"This list also determines where in the ports tree the port is imported. If there is more than one category here, the port files must be put in the subdirectory with the name of the first category. See below for more discussion about how to pick the right categories."

https://www.freebsd.org/doc/en/books/porters-handbook/book.html#makefile-categories
Comment 11 commit-hook freebsd_committer 2020-05-24 12:54:56 UTC
A commit references this bug:

Author: tagattie
Date: Sun May 24 12:54:33 UTC 2020
New revision: 536396
URL: https://svnweb.freebsd.org/changeset/ports/536396

Log:
  Really specify multimedia as primary category

  PR:		246558
  Reported by:	Jamie Landeg-Jones <jamie@catflap.org>
  Approved by:	mentors (implicit)

Changes:
  head/multimedia/get_iplayer/Makefile
Comment 12 Hiroki Tagato freebsd_committer 2020-05-24 12:57:41 UTC
(In reply to Jamie Landeg-Jones from comment #10)

Thanks for spotting the error. I do appreciate that! Corrected.